@php
    $optionGroupsData = [];

    $optionGroups = \DB::table('option_groups')->select('id','name')->get();

    foreach($optionGroups as $optionGroup){

        $options = \DB::table('options')->select('id','option_group_id','name')->where('option_group_id',$optionGroup->id)->get();


        $optionGroup->options = $options;

        array_push($optionGroupsData,$optionGroup);
    }

/*
	if in edit screen 
*/
$selectedGroups = [];

if(isset($data) && ! empty($data)){
    $selectedGroups = \DB::table('product_variations_rows_groups')
    ->where('product_id',$data->id)
    ->select('group_id')
    ->groupBy('group_id')
    ->get()->pluck('group_id')->toArray();
    
	
}

@endphp


<div class="row">
    <div class="col-lg-11">
        <select name="option_group_id[]" id="option_group_id" class="form-control js-example-basic-multiple"
        {!! count($selectedGroups) > 0 ? 'disabled' :'' !!}
                multiple="">
            @foreach($optionGroupsData as $optionGroup)
                <option value="{!! $optionGroup->id !!}"
                        data-options='{!! json_encode($optionGroup)!!}' {!! in_array($optionGroup->id ,$selectedGroups) ? 'selected' :'' !!} > {!! $optionGroup->name !!} </option>
            @endforeach
        </select>
    </div>
    <div class="col-lg-1">
        <label class="btn btn-sm btn-success addSelectedGroups">
            <i class="fa fa-plus"></i>
        </label>
    </div>
</div>

<div id="groupOptionsDiv">

</div>

@if(isset($data) && !empty($data))
	@php
		$varaitionsRows = \DB::table('product_variations_rows')->selectRaw('id , price')->where('product_id',$data->id)->get();
	@endphp
@endif
<div class="row">

	<table id="compinationTable" class="table table-hover dt-responsive text-center">
		<thead>
			@if(isset($data) && !empty($data))
				@php
					$varaitionsRowsGroups = \DB::table('product_variations_rows_groups')->selectRaw('option_groups.id as id , option_groups.name as name ')
					->join('option_groups','option_groups.id','=','product_variations_rows_groups.group_id')
					->groupBy('product_variations_rows_groups.group_id')
					->where('product_id',$data->id)->get();
				@endphp
				
				@foreach($varaitionsRowsGroups as $varaitionsRowsGroup)
					<th> {!! $varaitionsRowsGroup->name !!} </th>
				@endforeach

				<th> {!! __('Price') !!}</th>
				<th> {!! __('Delete') !!}</th>
			@endif
		</thead>
		<tbody>
			@if(isset($data) && !empty($data))

				@php

					$rowsCounter = 0;

				@endphp

				@foreach($varaitionsRows as $varaitionsRow)
					
					@php

						$rowsCounter++;

						$varaitionsRowGroups = \DB::table('product_variations_rows_groups')->selectRaw('option_groups.id as id , option_groups.name as name ')
							->join('option_groups','option_groups.id','=','product_variations_rows_groups.group_id')
							->where('product_variation_row_id',$varaitionsRow->id)
							->where('product_id',$data->id)
							->groupBy('product_variations_rows_groups.group_id')
							->get();
                        $rowOptions = \DB::table('product_variations_rows_options')->where('product_variation_row_id',$varaitionsRow->id)->select('option_id')->orderBy('option_id','ASC')->get()->pluck('option_id')->toArray();
					@endphp
					
					<tr id="variation_{{implode('_',$rowOptions)}}">

						@foreach($varaitionsRowGroups as $varaitionsRowGroup)

							@php
								$varaitionsRowGroupOption = \DB::table('product_variations_rows_options')->selectRaw('options.id as id , options.name as name ,options.option_group_id as option_group_id')
								->join('options','options.id','=','product_variations_rows_options.option_id')
								->where('product_variations_rows_options.product_id',$data->id)
								->where('product_variations_rows_options.product_variation_row_id',$varaitionsRow->id)
								->where('product_variations_rows_options.option_group_id',$varaitionsRowGroup->id)
								->first();
							@endphp

							<td>

								{!! (isset($varaitionsRowGroupOption) && !empty($varaitionsRowGroupOption)) ? $varaitionsRowGroupOption->name : ''!!}
								<input type="hidden" name="options[{!! $rowsCounter !!}][option_group_id][]" value="{!! $varaitionsRowGroupOption->option_group_id !!}">
								<input type="hidden" name="options[{!! $rowsCounter !!}][option_id][{!! $varaitionsRowGroupOption->option_group_id !!}]" value="{!! $varaitionsRowGroupOption->id !!}">
								
							</td>

						@endforeach
						
						<td style="width:15%" >
							<input type="text" class="form-control text-center" name="options[{!! $rowsCounter !!}][price]" value="{!! $varaitionsRow->price !!}">
						</td>
						<td>
							<label class="btn btn-sm btn-danger deleteVariationsRow">
								<i class="fa fa-trash"></i>
							</label>
						</td>
					</tr>
				@endforeach

			@endif
		</tbody>
	</table>

</div>

@push('customScripts')

    <script type="text/javascript">

        $(document).on('click', '.addSelectedGroups', function (e) {

            e.preventDefault();

            let optionsHtml = `<div class="row">`;

            let selectedGroups = $('#option_group_id').find(':selected');


            if (selectedGroups.length > 4) {

                alert('please select only 4 groups or less ');

                return;

            }

            selectedGroups.each(function (i, ele) {

                let optionGroup = JSON.parse($(this).attr('data-options'));

                let options = optionGroup.options;

                optionsHtml += `<div class="col-lg-4">
								<label> ${optionGroup.name} </label>
								<select class="form-control selectedOptions " id="selected_compination${i}" data-groupName="${optionGroup.name}" name="selectedOptions" multiple>
								`;


                for (option of options) {

                    optionsHtml += `<option value='${JSON.stringify(option)}' data-groupName="${optionGroup.name}">${option.name}</option>`;

                }

                optionsHtml += `</select>
						</div>`;
            });

            optionsHtml += `</div>`;            

            optionsHtml += `<div class="row">
                                <div class="col-lg-4">
        							<label class="btn btn-sm btn-success generateCompination">
        								<i class="fa fa-plus"></i>
        							</label>
        						</div>
                            </div>`;

            $('#groupOptionsDiv').html(optionsHtml);

            // console.log(.length);

            $('.selectedOptions').select2();

            $('#option_group_id').attr('disabled','disabled');

            // $('#compinationTable tbody').html('');

            // $('#compinationTable thead').html('');

            // $('#compinationTable').html('');


        });

        $(document).on('click', '.generateCompination', function (e) {

            e.preventDefault();

            let optionsValues = [];


            // let optionsIds = [];

            var headers = [];

            $('.selectedOptions').each(function (i, ele) {


                optionsValues.push($(this).val());
                headers.push($(this).attr('data-groupname'));
                // for(selectedOption of $(this).val()){

                // 	optionsIds.push(JSON.parse(selectedOption).id);

                // }


            });

            let headerHtml = `<tr>`;

            for (header of headers) {
                headerHtml += `
				<th>${header}</th>`;
            }

            headerHtml += ` <th> Price </th> 
                            <th> Delete </th>
                            </tr>`;


            $('#compinationTable thead').html(headerHtml);

            for (i0 in optionsValues[0]) {
                if (typeof optionsValues[1] == "undefined") optionsValues.push([null]);
                for (i1 in optionsValues[1]) {
                    if (typeof optionsValues[2] == "undefined") optionsValues.push([null]);
                    for (i2 in optionsValues[2]) {
                        if (typeof optionsValues[3] == "undefined") optionsValues.push([null]);
                        for (i3 in optionsValues[3]) {
                            if (typeof optionsValues[4] == "undefined") optionsValues.push([null]);
                            for (i4 in optionsValues[4]) {
                                var optionsValuesToDraw = [];
                                if (optionsValues[0][i0]) optionsValuesToDraw.push(JSON.parse(optionsValues[0][i0]));
                                if (optionsValues[1][i1]) optionsValuesToDraw.push(JSON.parse(optionsValues[1][i1]));
                                if (optionsValues[2][i2]) optionsValuesToDraw.push(JSON.parse(optionsValues[2][i2]));
                                if (optionsValues[3][i3]) optionsValuesToDraw.push(JSON.parse(optionsValues[3][i3]));
                                if (optionsValues[4][i4]) optionsValuesToDraw.push(JSON.parse(optionsValues[4][i4]));
                                // console.log(optionsValuesToDraw);
                                drawOptionsRow(optionsValuesToDraw);
                                // drawOptionRow(optionsToDraw);
                            }
                        }
                    }
                }
            }

        });

        var rowsCounter = $('#compinationTable').length;

        function drawOptionsRow(options) {

            let rowHtml = ``;

            let ids = [];

            rowsCounter++;


            for (option of options) {

                ids.push(option.id);


                rowHtml += `<td>
				${option.name}
				<input type="hidden" name="options[${rowsCounter}][option_group_id][]" value="${option.option_group_id}">
				<input type="hidden" name="options[${rowsCounter}][option_id][${option.option_group_id}]" value="${option.id}">
			</td>`;

            }

		rowHtml += `<td style="width:15%" >
						<input type="text" class="form-control text-center" name="options[${rowsCounter}][price]" value="0">

					</td>
			<td>
				<label class="btn btn-sm btn-danger deleteVariationsRow">
					<i class="fa fa-trash"></i>
				</label>
			</td>
		`;

            ids.sort();

            let rowKey = "variation_" + ids.join("_");

            let finalRowHtml = `<tr id="${rowKey}">${rowHtml}</tr>`;

            if ($('#' + rowKey).length) return;


            $('#compinationTable tbody').append(finalRowHtml);

        }

        $(document).on('click', '.deleteVariationsRow', function (e) {

            e.preventDefault();

            $(this).parents('tr').remove();

        });

    </script>
@endpush
